- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::buffer::OffsetCurveVertexList Class Reference

A list of the vertices in a constructed offset curve. More...

`#include <OffsetCurveVertexList.h>`

List of all members.

## Public Member Functions
void | setPrecisionModel (const geom::PrecisionModel *nPrecisionModel)
void | setMinimumVertexDistance (double nMinVertexDistance)
void | addPt (const geom::Coordinate &pt)
void | closeRing ()
geom::CoordinateSequence * | getCoordinates ()

## Detailed Description

A list of the vertices in a constructed offset curve.

Automatically removes close adjacent vertices.

The documentation for this class was generated from the following file:

- OffsetCurveVertexList.h